package com.fs.watch.service;

import com.fs.watch.domain.WatchContinuousSpo2Data;
import com.fs.watch.domain.vo.WatchContinuousSpo2DataVo;
import com.fs.watch.domain.vo.WatchPulseRateVo;
import com.fs.watch.domain.vo.WatchSpo2DataVo;

import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_continuous_spo2_data(设备连续的血氧数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchContinuousSpo2DataService{

    Boolean insert(WatchContinuousSpo2Data watchContinuousSpo2Data);

    WatchContinuousSpo2Data getLastByDeviceId(String deviceId);

    List<WatchContinuousSpo2Data> queryByDateAndDeviceIdAndState(String date, String deviceId);

    WatchContinuousSpo2Data getLatest(String deviceId);

    List<WatchContinuousSpo2Data> querySpPageByDate(String startTime, String endTime, String deviceId, Integer num, Integer size);

    int countSpPageByDate(String startTime, String endTime, String deviceId);

    List<WatchContinuousSpo2Data> querySpByDate(String startTime, String endTime, String deviceId);

    List<WatchPulseRateVo> queryOneByDateAndDeviceIdAndState(String date, String deviceId);
}
